// pull from global info
server_port = global.server_port;
server_name = global.server_name;
server_format = global.server_format;
server_downsample = global.server_downsample;

// init user info
max_user = 8;
all_user = 0;
cur_user = 0;
for(var i=0; i<max_user; i++;)
	{
	connected[i] = false;
	user_info[i] = ds_map_create();
	messages[i] = 0;
	message_list[i] = ds_list_create();
	}
user_lookup = ds_map_create();

// start server
server = network_create_server_raw(network_socket_udp,server_port,max_user);
if (server < 0)
	log("ERROR: Failed to create server on port "+string(server_port));

heartbeat_time = get_timer();
heartbeat_broadcast = 0;

// connection info
stats_time = get_timer();
data_t = 0; // data transmitted per second
data_r = 0;	// data received per second
pack_t = 0; // data transmitted per second
pack_r = 0;	// data received per second
total_data_t = 0; total_pack_t = 0;
total_data_r = 0; total_pack_r = 0;
stats_graph = true;
data_t_array = array_create(180);
data_r_array = array_create(180);
data_array_max = MTU;
data_index = 0;