draw_set_font(fnt_default);
draw_set_color($696969);
draw_text(12,12,string(server_name));
draw_text(12,32,"Users: "+string(cur_user)+"/"+string(max_user));
draw_set_color($000000);

if (stats_graph)
	{
	var w = room_width;
	var h = 192;
	var x1 = 0; var y1 = room_height-h;
	var x2 = w; var y2 = room_height;
	var x3 = x1+200;
	
	draw_set_color($111111);
	draw_rectangle(x1,y1,x2,y2,0);
	draw_set_color($222222);
	draw_line(x3-72,y1+(h/4)*1,x2,y1+(h/4)*1);
	draw_line(x3-72,y1+(h/4)*2,x2,y1+(h/4)*2);
	draw_line(x3-72,y1+(h/4)*3,x2,y1+(h/4)*3);
	draw_text(x3-64,y1+(h/4)*1 - 20,string(round((data_array_max/4)*3))+"B/s");
	draw_text(x3-64,y1+(h/4)*2 - 20,string(round((data_array_max/4)*2))+"B/s");
	draw_text(x3-64,y1+(h/4)*3 - 20,string(round((data_array_max/4)*1))+"B/s");
	
	draw_primitive_begin(pr_linelist);
	
	var len = 0;
	var i = 0;
	while(len < 179)
		{
		draw_vertex_color(x3 + (i+0)/179*(w-200),y2 - (data_t_array[(i+0)]/data_array_max)*h,c_aqua,1);
		draw_vertex_color(x3 + (i+1)/179*(w-200),y2 - (data_t_array[(i+1)]/data_array_max)*h,c_aqua,1);
		
		draw_vertex_color(x3 + (i+0)/179*(w-200),y2 - (data_r_array[(i+0)]/data_array_max)*h,c_fuchsia,1);
		draw_vertex_color(x3 + (i+1)/179*(w-200),y2 - (data_r_array[(i+1)]/data_array_max)*h,c_fuchsia,1);
		
		i++;
		len++;
		}
	
	draw_primitive_end();
	
	draw_set_color(c_aqua);
	draw_text(x1+6,y1+6,"[Transfer]");
	draw_set_color($696969);
	draw_text(x1+6,y1+24,"tx: "+correct_bytes(data_t)+"/s");
	draw_set_color($222222);
	draw_text(x1+6,y1+42,"Total: "+correct_bytes(total_data_t));
	draw_text(x1+6,y1+60,"Total: "+string(total_pack_t)+" pkts");
	draw_set_color(c_fuchsia);
	draw_text(x1+6,y1+90,"[Receive]");
	draw_set_color($696969);
	draw_text(x1+6,y1+108,"rx: "+correct_bytes(data_r)+"/s");
	draw_set_color($222222);
	draw_text(x1+6,y1+126,"Total: "+correct_bytes(total_data_r));
	draw_text(x1+6,y1+144,"Total: "+string(total_pack_r)+" pkts");
	}