/// macros_and_enums();

#macro version 5
#macro MTU 1024
#macro sec 1000000

enum ui_col
	{
	bg  = $424242,
	dis = $696969,
	alt = $969696,
	def = $CCCCCC,
	act = $FFFFFF
	}

enum txt_col
	{
	dis = $424242,
	alt = $242424,
	def = $121212,
	act = $000000
	}

// server
enum server_message
	{
	welcome,
	goodbye,
	user_join,
	user_leave,
	user_image_upload,
	user_image_download,
	user_message,
	user_voice,
	heartbeat,
	
	error,
	size
	}

global.server_message_text[server_message.welcome] = "server_message.welcome";
global.server_message_text[server_message.goodbye] = "server_message.goodbye";
global.server_message_text[server_message.user_join] = "server_message.user_join";
global.server_message_text[server_message.user_leave] = "server_message.user_leave";
global.server_message_text[server_message.user_image_upload] = "server_message.user_image_upload";
global.server_message_text[server_message.user_image_download] = "server_message.user_image_download";
global.server_message_text[server_message.user_message] = "server_message.user_message";
global.server_message_text[server_message.user_voice] = "server_message.user_voice";
global.server_message_text[server_message.heartbeat] = "server_message.heartbeat";
global.server_message_text[server_message.error] = "server_message.error";

// user
enum user_message
	{
	welcome,
	goodbye,
	user_image_upload,
	user_image_download,
	user_message,
	user_voice,
	heartbeat,
	
	size
	}

global.user_message_text[user_message.welcome] = "user_message.welcome";
global.user_message_text[user_message.goodbye] = "user_message.goodbye";
global.user_message_text[user_message.user_image_upload] = "user_message.user_image_upload";
global.user_message_text[user_message.user_image_download] = "user_message.user_image_download";
global.user_message_text[user_message.user_message] = "user_message.user_message";
global.user_message_text[user_message.user_voice] = "user_message.user_voice";
global.user_message_text[user_message.heartbeat] = "user_message.heartbeat";

enum ui
	{
	type_button,
	type_slider,
	type_dropdown,
	type_textbox
	}

global.ui_id = 0;
global.ui = -1;