/// save_profile();

path = working_directory+"profile.ini";

var temp_buffer = buffer_create(128+64*64*2,buffer_fixed,1);
buffer_seek(temp_buffer,buffer_seek_start,0);

buffer_write(temp_buffer,buffer_u8,version);
buffer_write(temp_buffer,buffer_string,global.name);
buffer_write(temp_buffer,buffer_string,global.connect_ip);
buffer_write(temp_buffer,buffer_u16,global.connect_port);
buffer_write(temp_buffer,buffer_string,global.server_name);
buffer_write(temp_buffer,buffer_u16,global.server_port);
buffer_write(temp_buffer,buffer_u8,global.server_format);
buffer_write(temp_buffer,buffer_u8,global.server_downsample);
buffer_write(temp_buffer,buffer_u8,global.ptt);
buffer_write(temp_buffer,buffer_f32,global.gate);
buffer_write(temp_buffer,buffer_f32,global.gain);

// write user avatar data
for(var iy=0; iy<64; iy++;)
	{
	for(var ix=0; ix<64; ix++;)
		{
		var data = ds_grid_get(global.img_data,ix,iy);
		buffer_write(temp_buffer,buffer_u16,data);
		}
	}

var comp_buffer = buffer_compress(temp_buffer,0,128+64*64*2);
if (comp_buffer >= 0)
	{
	buffer_save(comp_buffer,path);
	buffer_delete(comp_buffer);
	}
buffer_delete(temp_buffer);