/// server_queue_message(user,buffer,[size]);
/// @arg user
/// @arg buffer
/// @arg [size]

var _user = argument[0];
var _buffer = argument[1];
var _size = (argument_count == 3) ? argument[2] : buffer_tell(_buffer);

if (_user == max_user)
	{
	// send to all users
	for(var i=0; i<max_user; i++;)
		{
		if !(connected[i])
			continue;
		
		var _temp_buffer = buffer_create(_size,buffer_fixed,1);
		buffer_copy(_buffer,0,_size,_temp_buffer,0);
		
		ds_list_add(message_list[i],_temp_buffer,_size);
		messages[i]++;
		}
	buffer_delete(_buffer);
	}
else
	{
	// send to specific user
	ds_list_add(message_list[_user],_buffer,_size);
	messages[_user]++;
	}