rw = room_width;
rh = room_height;

menu_init();

menu_add_page("Chat");
chat_box = menu_add_item(32,rh-32,obj_textbox,"","Message");
menu_edit_item(chat_box,"w",640,"h",32,"maxlen",128);
chat_btn = menu_add_item(rw-(64+32),rh-32,obj_button,false,"Send");
menu_edit_item(chat_btn,"w",64,"h",32);

chat_list = ds_list_create();
chat_time = 0;
chat_alpha = 0;
chat_w = 640;

// device parameters
device_index = -1;
device_name = "";
device_sample = 16000;
device_format = buffer_s16;
device_stereo = audio_mono;

// transmit parameters
transmit_format = buffer_u8;
transmit_downsample = true;
ptt = global.ptt; // push to talk
gate = global.gate;
gain = global.gain;

// recording data
record_channel = -1; // async recording handle
transmit = false; // transmitting voice to server
amplitude = 0;

playback = false;
max_user = 0;
cur_user = 0;
user_id = -1;