/// user joined or left, update the playback array fields

max_user = obj_client.max_user;
cur_user = obj_client.cur_user;
user_id = obj_client.user_id;

if !(playback)
	{
	playback = true;
	
	for(var i=0; i<max_user; i++;)
		{
		connected[i] = false;
		
		var temp_info = ds_map_create();
		playback_info[i] = temp_info;
		temp_info[?"name"] = "";
		temp_info[?"img"] = -1;
		temp_info[?"amp"] = 0;
		temp_info[?"gain"] = 0;
		
		playback_audio[i] = -1;
		playback_queue[i] = -1;
		playback_quiet[i] = false;
		playback_sample[i] = 8000;
		playback_format[i] = buffer_u8;
		
		zipped_queue[i] = ds_queue_create();
		unzipped_list[i] = ds_list_create();
		
		for(var j=0; j<8; j++;)
			playback_buffer[i,j] = -1;
		}
	}

for(var i=0; i<max_user; i++;)
	{
	connected[i] = obj_client.connected[i];
	if !(connected[i])
		continue;
	
	var temp_info = playback_info[i];
	temp_info[?"name"] = ds_map_find_value(obj_client.user_info[i],"name");
	temp_info[?"img"] = ds_map_find_value(obj_client.user_info[i],"img");
	}