// pull from global info
name = global.name;
server_ip = global.connect_ip;
server_port = global.connect_port;
img_data = global.img_data;

server_name = "";

// init user info
max_user = 0;
cur_user = 0;
user_id = -1;

messages = 0;
message_list = ds_list_create();

// user image info
img_time = get_timer();
img_upload_sectors = 0;
img_uploaded = false;
img_download = -1;

// connection info
stats_time = get_timer();
data_t = 0; // data transmitted per second
data_r = 0;	// data received per second
pack_t = 0; // data transmitted per second
pack_r = 0;	// data received per second
total_data_t = 0; total_pack_t = 0;
total_data_r = 0; total_pack_r = 0;
stats_graph = false;
data_t_array = array_create(180);
data_r_array = array_create(180);
data_array_max = MTU;
data_index = 0;

// connect to server
socket = network_create_server_raw(network_socket_udp,0,1);
if (socket < 0)
	log("ERROR: Failed to create socket on port "+string(server_port));

retry_time = get_timer();
var send_buffer = buffer_create(64,buffer_fixed,1);
buffer_seek(send_buffer,buffer_seek_start,0);
buffer_write(send_buffer,buffer_u8,1);
buffer_write(send_buffer,buffer_u8,user_message.welcome);
buffer_write(send_buffer,buffer_u8,69);
buffer_write(send_buffer,buffer_string,name);
var size = buffer_tell(send_buffer);
network_send_udp_raw(socket,server_ip,server_port,send_buffer,size);
buffer_delete(send_buffer);
data_t += size;
pack_t++;

//callbacks
global.connected = false;
global.user_update_callback = false;

// galaxy
galaxy = false;
mx = mouse_x;
my = mouse_y;
perspective = 0.4;
perspective_spd = 0;
rotation = 0;
rotation_spd = 0;
points = 512;
for(var i=0; i<points; i++;)
	{
	point_dir[i] = random(360);
	point_len[i] = random(480);
	point_zed[i] = random_range(-16,16)*point_len[i]/256;
	}
point_ease = 0;