/*
draw_set_font(fnt_default);
draw_set_color($696969);
draw_text(12,12,(global.connected == true) ? "Connected to "+string(server_name) : "Connecting...");
draw_text(12,32,"Users: "+string(cur_user)+"/"+string(max_user));
draw_set_color($000000);
*/

if (stats_graph)
	{
	var w = room_width;
	var h = 192;
	var x1 = 0; var y1 = room_height-h;
	var x2 = w; var y2 = room_height;
	var x3 = x1+200;
	
	draw_set_color($111111);
	draw_rectangle(x1,y1,x2,y2,0);
	
	if (global.connected) and (user_id >= 0)
		{
		draw_set_color($222222);
		draw_line(x3-72,y1+(h/4)*1,x2,y1+(h/4)*1);
		draw_line(x3-72,y1+(h/4)*2,x2,y1+(h/4)*2);
		draw_line(x3-72,y1+(h/4)*3,x2,y1+(h/4)*3);
		draw_text(x3-64,y1+(h/4)*1 - 20,string(round((data_array_max/4)*3))+"B/s");
		draw_text(x3-64,y1+(h/4)*2 - 20,string(round((data_array_max/4)*2))+"B/s");
		draw_text(x3-64,y1+(h/4)*3 - 20,string(round((data_array_max/4)*1))+"B/s");
		
		draw_primitive_begin(pr_linelist);
		
		var len = 0;
		var i = 0;
		while(len < 179)
			{
			draw_vertex_color(x3 + (i+0)/179*(w-200),y2 - (data_t_array[(i+0)]/data_array_max)*h,c_aqua,1);
			draw_vertex_color(x3 + (i+1)/179*(w-200),y2 - (data_t_array[(i+1)]/data_array_max)*h,c_aqua,1);
			
			draw_vertex_color(x3 + (i+0)/179*(w-200),y2 - (data_r_array[(i+0)]/data_array_max)*h,c_fuchsia,1);
			draw_vertex_color(x3 + (i+1)/179*(w-200),y2 - (data_r_array[(i+1)]/data_array_max)*h,c_fuchsia,1);
			
			i++;
			len++;
			}
		
		draw_primitive_end();
		
		draw_set_font(fnt_default);
		draw_set_color(c_aqua);
		draw_text(x1+6,y1+6,"[Transfer]");
		draw_set_color($696969);
		draw_text(x1+6,y1+24,"tx: "+correct_bytes(data_t)+"/s");
		draw_set_color($222222);
		draw_text(x1+6,y1+42,"Total: "+correct_bytes(total_data_t));
		draw_text(x1+6,y1+60,"Total: "+string(total_pack_t)+" pkts");
		draw_set_color(c_fuchsia);
		draw_text(x1+6,y1+90,"[Receive]");
		draw_set_color($696969);
		draw_text(x1+6,y1+108,"rx: "+correct_bytes(data_r)+"/s");
		draw_set_color($222222);
		draw_text(x1+6,y1+126,"Total: "+correct_bytes(total_data_r));
		draw_text(x1+6,y1+144,"Total: "+string(total_pack_r)+" pkts");
		draw_set_color($696969);
		draw_text(x1+6,y2-26,"Ping: "+string(round(ds_map_find_value(user_info[user_id],"ping")/1000))+"ms");
		}
	else
		{
		draw_set_color($696969);
		draw_set_halign(1);
		draw_text(x1+w/2,y1+h/2,"Connecting...");
		draw_set_halign(0);
		}
	}

if (keyboard_check_pressed(vk_f2))
	galaxy = !galaxy;
point_ease += (galaxy-point_ease)*0.25;
if (point_ease > 0)
	{
	perspective_spd += (0-perspective_spd)*0.05;
	rotation_spd += (0-rotation_spd)*0.05;
	if (mouse_check_button(mb_left))
		{
		perspective_spd -= (mouse_y-my)/1600;
		perspective_spd += (0-perspective_spd)*0.2;
		rotation_spd += (mouse_x-mx)/16;
		rotation_spd += (0-rotation_spd)*0.2;
		}
	mx = mouse_x;
	my = mouse_y;

	perspective = clamp(perspective+perspective_spd,0,1);
	rotation += rotation_spd;

	if (point_ease > 0)
		{
		rw = room_width;
		rh = room_height;
	
		draw_set_alpha(point_ease);
		draw_set_color($000000);
		draw_rectangle(0,0,rw,rh,0);
	
		draw_set_color($FFFFFF);
		for(var i=0; i<points; i++;)
			{
			var ldx = lengthdir_x(1,point_dir[i]+rotation);
			var ldy = lengthdir_y(1,point_dir[i]+rotation);
			var dot = dot_product(ldx,ldy,0,1)*perspective;
			var rad = 2+dot;
			var dx = rw/2 + ldx*point_len[i];
			var dy = rh/2 + ldy*point_len[i]*(1-perspective) + (point_zed[i]*perspective);
			draw_set_alpha(((2+dot)/3)*point_ease);
			draw_circle(dx,dy,rad,0);
		
			point_dir[i] += (point_len[i]+64)/2048;
			}
	
		draw_set_alpha(0.01);
		var rad = lerp(8,12,perspective);
		for(var i=1; i<=lerp(20,32,perspective)*point_ease; i++;)
			{
			var rx = i*rad*point_ease;
			var ry = max(i*2,(i*rad)*(1-perspective))*point_ease;
			draw_ellipse(rw/2-rx,rh/2-ry,rw/2+rx,rh/2+ry,0);
			}
	
		draw_set_color($000000);
		draw_set_alpha(1.0);
		}
	}