var chan = async_load[?"channel_index"];
var buff = async_load[?"buffer_id"];
var size = async_load[?"data_len"];

if (chan == recording_channel)
	{
	var audio_buffer = buffer_create(size,buffer_fixed,1);
	buffer_copy(buff,0,size,audio_buffer,0);
	
	amplitude = 0;
	
	for(var i=0; i<size; i+=8;)
		{
		var val = abs(buffer_peek(audio_buffer,i,buffer_s16))/32768;
		amplitude = max(amplitude,val);
		}
	
	amplitude = amplitude / ((1/0.9 - 2)*(1-amplitude)+1);
	
	buffer_delete(audio_buffer);
	}

// switched input device, stop recording on the old device
if (old_device != cur_device)
	{
	old_device = cur_device;
	
	if (recording_channel >= 0)
		{
		audio_stop_recording(recording_channel);
		recording_channel = -1;
		amplitude = 0;
		
		show_debug_message("OBJ_MENU: RECORDING STOPPED");
		}
	}
if ((menu != 3) and (recording_channel >= 0))
	{
	audio_stop_recording(recording_channel);
	recording_channel = -1;
	amplitude = 0;
	
	show_debug_message("OBJ_MENU: RECORDING STOPPED");
	}